play.libs

## Class Mail.SMTPAuthenticator

- java.lang.Object
- - javax.mail.Authenticator
  - - play.libs.Mail.SMTPAuthenticator

- Enclosing class:
    Mail

      public static class Mail.SMTPAuthenticator
      extends javax.mail.Authenticator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMTPAuthenticator(java.lang.String user, java.lang.String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.mail.PasswordAuthentication` | `getPasswordAuthentication()`

    - ### Methods inherited from class javax.mail.Authenticator

      `getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMTPAuthenticator

          public SMTPAuthenticator(java.lang.String user,
                                   java.lang.String password)

  - ### Method Detail

    - #### getPasswordAuthentication

          protected javax.mail.PasswordAuthentication getPasswordAuthentication()

      Overrides:
        `getPasswordAuthentication` in class `javax.mail.Authenticator`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly